Error in fresh generated Component Kit Project: [ERROR] The component xxx is missing a dataset in its configuration (see @DataSet)

Four Stars

Error in fresh generated Component Kit Project: [ERROR] The component xxx is missing a dataset in its configuration (see @DataSet)

Hi,

I just working through the Tutorial and Docs and currently stuck on this error. I tried the starter and the IntelliJ Plugin, no difference. Running "mvnw clean install" gives me this error. I guess it's a simple problem, but currently, I don't know what I don't know ;-)

 

Thanks,

Markus


Accepted Solutions
Employee

Re: Error in fresh generated Component Kit Project: [ERROR] The component xxx is missing a dataset in its configuration (see @DataSet)

Hi,

 

Some enhancements (both on tutorials and the SDK itself) are on the way for later this month.

In the meantime, in addition to @samba's suggestion, also make sure to have this artifact set to 1.1.1 if you want to use the previous version which did not enforce datasets and datastore to build the components: 

 

<extension>
        <groupId>org.talend.sdk.component</groupId>
        <artifactId>talend-component-maven-plugin</artifactId>
        <version>1.1.1</version>
</extension>

 

Florent

View solution in original post


All Replies
Highlighted
Six Stars

Re: Error in fresh generated Component Kit Project: [ERROR] The component xxx is missing a dataset in its configuration (see @DataSet)

Hi Markus,

This error occurs because you are using the latest version of the sdk, which forces components to seperate data into Datastore and DataSet, while the tutorial you are following on the page was created with a lower version of the sdk which didnt enforce these rules.  Its clear the tutorials are not being updated to suite the new features. One  work around for you will be to change the sdk version to 1.1.1 like this, 

<dependency>
<groupId>org.talend.sdk.component</groupId>
<artifactId>component-api</artifactId>
<version>1.1.1</version>
<scope>provided</scope>
</dependency>

  while waiting for the tutorials to be updated or you can learn about datasets and datastore  in the tutorials   and configure you UI as such in order to get it running, Hope this helps?

regards

Samba.

Employee

Re: Error in fresh generated Component Kit Project: [ERROR] The component xxx is missing a dataset in its configuration (see @DataSet)

Hi,

 

Some enhancements (both on tutorials and the SDK itself) are on the way for later this month.

In the meantime, in addition to @samba's suggestion, also make sure to have this artifact set to 1.1.1 if you want to use the previous version which did not enforce datasets and datastore to build the components: 

 

<extension>
        <groupId>org.talend.sdk.component</groupId>
        <artifactId>talend-component-maven-plugin</artifactId>
        <version>1.1.1</version>
</extension>

 

Florent

View solution in original post

2019 GARNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

What’s New for Talend Summer ’19

Watch the recorded webinar!

Watch Now

Have you checked out Talend’s 2019 Summer release yet?

Find out about Talend's 2019 Summer release

Blog

Talend Summer 2019 – What’s New?

Talend continues to revolutionize how businesses leverage speed and manage scale

Watch Now

6 Ways to Start Utilizing Machine Learning with Amazon We Services and Talend

Look at6 ways to start utilizing Machine Learning with Amazon We Services and Talend

Blog